<template>
  <History v-if="type === 'IntrodHistory'" />
  <Alert v-else type="error" :message="'不支持的渲染类型：' + type" />
</template>

<script setup lang="ts">
import Alert from '@/components/feedback/Alert.vue';
import History from '@/pages/home/history.vue';

const props = withDefaults(defineProps<{
  type: string;
}>(), {});
</script>
